Subject: [bug#73173] [PATCH] gnu: Update python-rdflib to 7.0.0.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Sep 2024 21:47:15 +0200

Hi,

Roel Janssen <[email-masked]> skribis:

> Upon invoking 'git push', I'm receiving this error message:
>   All 109 channel news entries are valid.
>   guix git: error: unknown introductory commit and signer
>   error: failed to push some refs to  
> 'ssh://git.savannah.gnu.org/srv/git/guix.git'
>
> My GPG key is still the same, although I updated the expiration date
> (and updated the key on Savannah). It looks like the key information in
> .guix-authorizations for me is still correct.
>
> Since it's been a while, where should I start reading the documentation
> on understanding/overcoming this problem?

Oh.  The message comes from ‘guix git authenticate’, and it’s admittedly
unclear.

To fix it, you must first manually run:

  guix git authenticate 9edb3f66fd807b096b48283debdcddccfea34bad \
    "BBB0 2DDF 2CEA F6A8 0D1D  E643 A2A0 6DF2 A33A 54FA"

This will record the introductory commit and signer (the two hex strings
above) in ‘.git/config’, and from there you should be all set.

This is only briefly mentioned in
<https://guix.gnu.org/manual/devel/en/html_node/Building-from-Git.html>.

HTH,
Ludo’.